#include "utils.h"

string
toLower(string str)
{
	for ( string::iterator i = str.begin(); i != str.end(); i++ )
	{
		if ( *i >= 'A' && *i <= 'Z' )
			*i = *i + 32;
	}
	
	return str;
}

bool 
is_non_text( char c )
{
	const char * ws = " \t\n\r\"()+-=*/\\[]{}.,;:|<>&%!'";
	
	for ( int i=0; ws[i]; i++ )
		if ( ws[i] == c )
			return true;
	
	return false;
}

void 
skip_non_text( istream & i )
{
	while ( !i.eof() && is_non_text(i.peek()) )
		i.get();
}

string 
get_word( istream & i )
{
	string word;
	
	while ( !i.eof() && !is_non_text(i.peek()) )
	{
		word += i.get();
	}
	
	return word;
}

bool
is_number( string word )
{
	// ignore ., since they're removed in get_word()
	
	for ( unsigned int i=0; i<word.length(); i++ )
	{
		if ( word[i] < '0' || word[i] > '9' )
			return false;
	}
	
	return true;
}

int
do_query(PgDatabase & data, const char * query )
{
	int status;
	
	#ifdef DEBUG
	cout << query << endl;
	#endif
	
	status = data.Exec( query );
	
	switch ( status )
	{
		case PGRES_TUPLES_OK:
			break;
		case PGRES_COMMAND_OK:
			break;
		default:
			cout << "SQL Error: " << data.ErrorMessage() << endl;
	}
	
	return status;
}

