#ifndef UTILS_H
#define UTILS_H

#include <string>
#include <iostream>

#include "libpq++.h"

string	toLower(string);

/**
	Determines if a character is a non-text character
	
	Will eventually be extended to support multi-byte characters
*/
bool	is_non_text( char c );

/**
	Read ahead in istream and skip any whitespace
*/
void	skip_non_text( istream & i );

/**
	Get the next word from an istream.
*/
string	get_word( istream & i );

/**
	Determine if string contains only digits
*/
bool	is_number( string word );

int		do_query(PgDatabase & data, const char * query );

enum {
	MIN_WORD_LENGTH = 2,
	MAX_WORD_LENGTH = 40
};

#endif
